


@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


* {
    margin: 0;
    padding: 0;
}



html {

  scroll-behavior: smooth;

}


body {

  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;

}


a, .btn {

  transition: all 300ms ease;

}

nav, .nav-links {

  display: flex ;
  

}
nav  {
  justify-content: space-around;
  align-items: center;
  height: 17vh;

}

.nav-links {

  gap: 2rem;
  list-style: none;
  font-size: 1.5rem;

}
 
a {
  color: black;
  text-decoration: none;
  text-decoration-color: white;
}

a:hover {
  color: red;
}

.logo {
  font-size: 2rem;
}

.logo:hover {
  cursor: default;
}


/* HAMBURGER MENU*/

#hamburger-nav {
  display: none;
}
.hamburger-menu {
  position: relative;
  display: inline-block;
}

.hamburger-icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 24px;
  width: 30px;
  cursor: pointer;
}



.hamburger-icon span {
  width: 100%;
  height: 2px;
  background-color: black;
  transition: all 0.3 ease-in-out;
}

.menu-links {
  position: absolute;
  top: 100%;
  right: 0;
  border: 2px solid black;
  border-radius: 20px;
  background-color: white;
  width: fit-content;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3 ease-in-out;
}

.menu-links a {
  display: block;
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
  transition: all 0.3 ease-in-out;

}


.menu-links li {
  list-style: none;
}

.menu-links.open {
  max-height: 300px;
}

.hamburger-icon.open span:first-child {
  
  transform: rotate(45deg) translate(10px, 5px);

}

.hamburger-icon.open span:nth-child(2) {

  opacity: 0;

}

.hamburger-icon.open span:last-child {

  transform: rotate(-45deg) translate(10px, -5px);

}

.hamburger-icon span:first-child {
  transform: none;
}

.hamburger-icon span:first-child {
  opacity: 1;
}

.hamburger-icon span:first-child {
  transform: none;
}




/* SECTIONS */



section {
  padding-top: 4vh;
  height: 96vh;
  margin: 0 10rem;
  box-sizing: border-box;
  min-height: fit-content;
}

.section-container {
  display: flex;
}

#profile{
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
}

.section__pic-container {
  display: flex;
  height: 300px;
  width: 300px;
  margin: auto 0;
}

.section__text {
  align-items: center;
  text-align: center;
  margin: auto 0;
}

.section__text p {
  font-weight: 600;
}

.section__text__p1 {
  text-align: center;
}

.section__text__p1 {
  font-size: 1.5rem;
  color: gray;
}

.title {
  font-size: 3rem;
  text-align: center;
}

#socials-container {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  gap: 1rem;
}


/* ICON */ 

.icon {
  cursor: pointer;
  height: 3rem;
}


#about {
  position: relative;
}

.text-container {

  margin-top: 2rem;
  color: gray;
  font-size: 1.5rem;
}

#projects .title {
  margin-bottom: 2rem;
}

.article-container p {
  font-size: 1.2rem;
  color: black;
}



.projects-sub-title {
  color: gray;
  font-weight: 600;
  font-size: 1.75rem;
  
}

.projects-details-container {

  display: flex;
  justify-content: center;
  flex-direction: column;
}

.article-container {
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
}


.about-containers {
  display: flex;
  gap: 1.5rem;
  flex-wrap: wrap;
  justify-content: center;
}


.details-container {
  background: rgba(255, 255, 255, 0.9);
  border-radius: 2rem;
  padding: 2rem;
  width: 250px;
  min-height: 220px;
  border: 2px solid gray;
  gap: 0.75rem;
}

.skills-container {
  background: rgba(255, 255, 255, 0.9);
  border-radius: 2rem;
  padding: 2rem;
  width: 200px;
  min-height: 220px;
  border: 2px solid gray;
  gap: 0.75rem;
}


.skills-details-container {
  
  display: flex;
  justify-content: center;
  flex-direction: column;
}



.skills-containers {
  display: flex;
  gap: 1.5rem;
  flex-wrap: wrap;
  justify-content: center;
}





#skills p {
  margin-top: 2rem;
  
}

#skills h1 {
  margin-bottom: 5rem;
}




#contact {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  flex-direction: column;
  height: 70vh;

}

.contact-upper-container {
  padding: 1rem;
  display: flex;
  justify-content: center;
  border-radius: 10rem;
  border: 2px solid gray;
  gap: 1.75rem;
  width: auto;
}

.contact-icon {
  height: 6rem;
}



footer {
  height: 26vh;
  margin: 0 1rem;
}
footer p {
  text-align: center;
}






@media screen and (max-width: 1400px) {
   #profile{ 
    height: 80vh;

   }
}



@media screen and (max-width: 1200px) {
  #desktop-nav {
    display: none;
  
  }
  #hamburger-nav {
    display: flex;
  }
  .menu-links {
    display: none;
  }
  .menu-links.open {
    display: inline-block;
  }
   #profile, .section-container {
    display: block;
   }
   section, .section-container {
    height: fit-content;
   }
   section {
    margin: 0 5%;
   }

   .section__pic-container {

    width: 200px;
    height: 200px;
    margin: 0 auto;
   }
   .about-containers {
    margin-top: 0;
   }
}

@media screen and (max-width: 600px) {

  .menu-links {
    width: 200px;
  }

  #contact {
    height: 40vh;
  }
  #profile {
    height: 80vh;
    margin-bottom: 0;
  }
  article {
    font-size: 1rem;
  }
  .about-containers, .contact-upper-container {
    flex-wrap: wrap;
  }

  .text-container p {
    font-size: 1rem;
    margin: 2rem;
  }
  .logo {
    font-size: 1.5rem;
  }
  .section__pic-container {
    width: auto;
    height: 40vw;
    justify-content: center;
  }
  .text-container {
    text-align: justify;
  }

  .contact-icon {
    height: 3.5rem;
  }

  .contact-upper-container {
  padding: 0.5rem;
  gap: 0.75rem;
  width: auto;
  margin-bottom: 5rem;
}
footer {
  height: 5vh;
  bottom: 0;
}

}